# Validate an IP address

Uses HTTPS GET to accept one input record and returns the response in JSON format. This is useful for browser level or quick single queries.

_Note:_ A request to the Global IP Cloud Service must consist of the Customer ID and an IP address to verify.

Endpoint: GET /doIPLocation

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `t` (string)
    Value passed through unchanged to the response for identification or any other purpose.
    Example: "Test"

  - `id` (string, required)
    Required. The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

  - `ip` (string, required)
    Required. The IP Address to verify.
    Example: "216.231.3.166"

  - `cols` (string)
    Columns - Specify what domain information to return.

Entering the column name will return the column. Specifying a group name will return all columns in the group.

Delimit multiple columns with a ,.

For example: ColumnName,ColumnName.

Columns:


 grpdomaininfo - Domain information 

  - DomainAddress1
  - DomainAdministrativeArea
  - DomainAgeEstimated
  - DomainAvailability
  - DomainCountry
  - DomainCountryCode
  - DomainCreatedDate
  - DomainEmail
  - DomainExpirationDate
  - DomainLocality
  - DomainOrganization
  - DomainPostalCode
  - DomainPrivateProxy
  - DomainUpdatedDate
    Example: "DomainCountryCode,DomainExpirationDate"

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionReference` (string)
    A pass-through of the input TransmissionReference field.

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Global IP Result Codes](https://docs.melissa.com/cloud-api/global-ip/result-codes.html).

  - `Records` (array)

  - `Records.City` (string)
    The city where the IP address is located.

  - `Records.ConnectionSpeed` (string)
    The connection speed associated with this IP address.

  - `Records.ConnectionType` (string)
    The type of connection used by this IP address.

  - `Records.Continent` (string)
    The continent where the IP address is located.

  - `Records.CountryAbbreviation` (string)
    The alpha-2 country code of the country where the IP address is located.

  - `Records.CountryName` (string)
    The full name of the country where the IP address is located.

  - `Records.DomainAddress1` (string)
    The Physical Address associated with the domain.

  - `Records.DomainAdministrativeArea` (string)
    The State or most common geographic data element associated with the domain

  - `Records.DomainAgeEstimated` (string)
    How long the domain has existed since its creation

  - `Records.DomainAvailability` (string)
    Status whether domain is available or unavailable

  - `Records.DomainCountry` (string)
    The full name of the country associated with the domain

  - `Records.DomainCountryCode` (string)
    The two character code for the country associated with the domain

  - `Records.DomainCreatedDate` (string)
    The Created Date of the domain

  - `Records.DomainEmail` (string)
    The email associated with the domain

  - `Records.DomainExpirationDate` (string)
    The expiration date of the domain

  - `Records.DomainLocality` (string)
    The City or most common population center associated with the domain

  - `Records.DomainName` (string)
    The domain name associated with this IP address.

  - `Records.DomainOrganization` (string)
    The Organization associated with the domain.

  - `Records.DomainPostalCode` (string)
    The Postal Code associated with the domain.

  - `Records.DomainPrivateProxy` (string)
    The Private Proxy associated with the domain.

  - `Records.DomainUpdatedDate` (string)
    The last time the domain was updated.

  - `Records.DST` (string)
    Daylight Savings Time.

  - `Records.IPAddress` (string)
    The IP address being looked up.

  - `Records.ISPName` (string)
    The name of the Internet Service Provider.

  - `Records.Latitude` (string)
    The latitude for the IP address.

  - `Records.Longitude` (string)
    The longitude for the IP address.

  - `Records.PostalCode` (string)
    The postal code where the IP address is located.

  - `Records.ProxyDescription` (string)
    Additional Details for the Proxy Type returned.

  - `Records.ProxyType` (string)
    The type of proxy for an IP Address.

  - `Records.RecordID` (string)
    ID of each input record.

  - `Records.Region` (string)
    Comma delimited status, error codes, and change codes for the record.

  - `Records.Result` (string)
    Returns a comma delimited list of result codes that provide more information from the service. For more information, see [Global IP Result Codes](https://docs.melissa.com/cloud-api/global-ip/result-codes.html).

  - `Records.TimeZoneCode` (string)
    The time zone code where the IP address is located.

  - `Records.TimeZoneName` (string)
    The time zone name where the IP address is located.

  - `Records.UTC` (string)
    The GMT offset for the area where the IP address is located.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


